VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3690
   ClientLeft      =   3105
   ClientTop       =   2100
   ClientWidth     =   5415
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   246
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   361
   Begin VB.PictureBox Picture1 
      Height          =   3495
      Left            =   120
      ScaleHeight     =   3435
      ScaleWidth      =   5115
      TabIndex        =   0
      Top             =   120
      Width           =   5175
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function CreateFont Lib "gdi32" Alias "CreateFontA" (ByVal H As Long, ByVal W As Long, ByVal E As Long, ByVal O As Long, ByVal W As Long, ByVal I As Long, ByVal u As Long, ByVal S As Long, ByVal C As Long, ByVal OP As Long, ByVal CP As Long, ByVal Q As Long, ByVal PAF As Long, ByVal F As String) As Long
Private Declare Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Private Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long

Private m_OldFont As Long
Private m_NewFont As Long
Private Sub SelectFont(ByVal target As Object, _
    ByVal font_name As String, ByVal Size As Long, _
    ByVal weight As Long, ByVal escapement As Long, _
    ByVal use_italic As Boolean, ByVal use_underline As Boolean, _
    ByVal use_strikethrough As Boolean)

Const CLIP_LH_ANGLES = 16   ' Needed for tilted fonts.
Const PI = 3.14159625
Const PI_180 = PI / 180#

    ' Make the new font.
    m_NewFont = CreateFont(Size, 0, _
        escapement, escapement, weight, _
        use_italic, use_underline, _
        use_strikethrough, 0, 0, _
        CLIP_LH_ANGLES, 0, 0, font_name)

    ' Select the new font.
    m_OldFont = SelectObject(target.hdc, m_NewFont)
End Sub
Private Sub DeselectFont(ByVal target As Object)
    ' Select the original font.
    SelectObject target.hdc, m_OldFont

    ' Free resources.
    DeleteObject m_NewFont
End Sub

Private Sub Form_Resize()
    Picture1.Move 0, 0, ScaleWidth, ScaleHeight
End Sub


Private Sub Picture1_Resize()
Const FW_NORMAL = 400   ' Normal font weight.
Const FW_BOLD = 700     ' Bold font weight.
Const FONT_SIZE = 20

Dim txt As String
Dim wid As Single
Dim hgt As Single
Dim X As Single
Dim Y As Single

    Picture1.AutoRedraw = True
    Picture1.ScaleMode = vbPixels
    Picture1.Cls

    ' Upper left.
    txt = "Upper Left"
    SelectFont Picture1, "Times New Roman", _
        FONT_SIZE, FW_BOLD, 900, False, False, False
    wid = Picture1.TextWidth(txt)
    hgt = FONT_SIZE
    X = 0
    Y = wid
    Picture1.CurrentX = X
    Picture1.CurrentY = Y
    Picture1.Print txt
    Picture1.Line (X, Y)-Step(hgt, -wid), , B
    DeselectFont Picture1

    ' Upper right.
    txt = "Upper Right"
    SelectFont Picture1, "Times New Roman", _
        FONT_SIZE, FW_BOLD, 900, False, False, False
    wid = Picture1.TextWidth(txt)
    hgt = FONT_SIZE
    X = Picture1.ScaleWidth - hgt
    Y = wid
    Picture1.CurrentX = X
    Picture1.CurrentY = Y
    Picture1.Print txt
    Picture1.Line (X, Y)-Step(hgt, -wid), , B
    DeselectFont Picture1

    ' Lower left.
    txt = "Lower Left"
    SelectFont Picture1, "Times New Roman", _
        FONT_SIZE, FW_BOLD, 900, False, False, False
    wid = Picture1.TextWidth(txt)
    hgt = FONT_SIZE
    X = 0
    Y = Picture1.ScaleHeight
    Picture1.CurrentX = X
    Picture1.CurrentY = Y
    Picture1.Print txt
    Picture1.Line (X, Y)-Step(hgt, -wid), , B
    DeselectFont Picture1

    ' Lower right.
    txt = "Lower Right"
    SelectFont Picture1, "Times New Roman", _
        FONT_SIZE, FW_BOLD, 900, False, False, False
    wid = Picture1.TextWidth(txt)
    hgt = FONT_SIZE
    X = Picture1.ScaleWidth - hgt
    Y = Picture1.ScaleHeight
    Picture1.CurrentX = X
    Picture1.CurrentY = Y
    Picture1.Print txt
    Picture1.Line (X, Y)-Step(hgt, -wid), , B
    DeselectFont Picture1

    ' Center.
    txt = "Center"
    SelectFont Picture1, "Times New Roman", _
        FONT_SIZE, FW_BOLD, 900, False, False, False
    wid = Picture1.TextWidth(txt)
    hgt = FONT_SIZE
    X = (Picture1.ScaleWidth - hgt) / 2
    Y = (Picture1.ScaleHeight + wid) / 2
    Picture1.CurrentX = X
    Picture1.CurrentY = Y
    Picture1.Print txt
    Picture1.Line (X, Y)-Step(hgt, -wid), , B
    DeselectFont Picture1

    Picture1.Line (0, 0)-(Picture1.ScaleWidth, Picture1.ScaleHeight)
    Picture1.Line (0, Picture1.ScaleHeight)-(Picture1.ScaleWidth, 0)
End Sub


